# Uses of Class
java.awt.geom.Area

Packages that use Area
Package
Description
java.awt.geom
Provides the Java 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of Area in java.awt.geom

Methods in java.awt.geom that return Area
Modifier and Type
Method
Description
`Area`
Area.`createTransformedArea​(AffineTransform t)`
Creates a new `Area` object that contains the same geometry as this `Area` transformed by the specified `AffineTransform`.
Methods in java.awt.geom with parameters of type Area
Modifier and Type
Method
Description
`void`
Area.`add​(Area rhs)`
Adds the shape of the specified `Area` to the shape of this `Area`.
`boolean`
Area.`equals​(Area other)`
Tests whether the geometries of the two `Area` objects are equal.
`void`
Area.`exclusiveOr​(Area rhs)`
Sets the shape of this `Area` to be the combined area of its current shape and the shape of the specified `Area`, minus their intersection.
`void`
Area.`intersect​(Area rhs)`
Sets the shape of this `Area` to the intersection of its current shape and the shape of the specified `Area`.
`void`
Area.`subtract​(Area rhs)`
Subtracts the shape of the specified `Area` from the shape of this `Area`.